Skip to content
This repository has been archived by the owner before Nov 9, 2022. It is now read-only.

technomancy/lein-precate

master
Switch branches/tags

Name already in use

A tag already exists with the provided branch name. Many Git commands accept both tag and branch names, so creating this branch may cause unexpected behavior. Are you sure you want to create this branch?
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
 
 
 
 
 
 

lein-precate

Suggest a new project.clj that's compatible with Leiningen 2.

Usage

$ lein plugin install lein-precate 0.3.0
$ cat project.clj # the original 1.x-compatible version:
(defproject clojure-http-client "1.1.1-SNAPSHOT"
  :description "An HTTP client for Clojure."
  :source-path "src/clj"
  :extra-classpath-dirs ["dumb-stuff"]
  :dev-dependencies [[swank-clojure "1.3.4"]]
  :dependencies [[org.clojure/clojure "1.2.1"]
                 [org.clojure/clojure-contrib "1.2.0"]])

$ lein precate # let's see how that would look for Leiningen 2
(defproject clojure-http-client "1.1.1-SNAPSHOT"
  :description "An HTTP client for Clojure."
  :source-paths ["src/clj"]
  :dependencies [[org.clojure/clojure "1.2.1"]
                 [org.clojure/clojure-contrib "1.2.0"]]
  :profiles {:dev
              {:resource-paths ["dumb-stuff"],
               :dependencies [[swank-clojure "1.3.4"]]}}
  :min-lein-version "2.0.0")

This plugin is designed to be run under Leiningen 1.x.

License

Copyright © 2012 Phil Hagelberg

Distributed under the Eclipse Public License, the same as Clojure.

About

You know, the opposite of deprecate.

Resources

Stars

Watchers

Forks

Packages

No packages published